#### Previous topic

scipy.linalg.interpolative.reconstruct_skel_matrix

#### Next topic

scipy.linalg.interpolative.svd

# scipy.linalg.interpolative.id_to_svd

`scipy.linalg.interpolative.``id_to_svd`(B, idx, proj)

  Convert ID to SVD.

  The SVD reconstruction of a matrix with skeleton matrix B and ID indices and coefficients idx and proj, respectively, is:

      U, S, V = id_to_svd(B, idx, proj)
      A = numpy.dot(U, numpy.dot(numpy.diag(S), V.conj().T))

  See also `svd`.

  Parameters:

  B : `numpy.ndarray`

  > Skeleton matrix.

  idx : `numpy.ndarray`

  > Column index array.

  proj : `numpy.ndarray`

  > Interpolation coefficients.

  Returns:

  U : `numpy.ndarray`

  > Left singular vectors.

  S : `numpy.ndarray`

  > Singular values.

  V : `numpy.ndarray`

  > Right singular vectors.